Delete Counterparty Document
DELETE/v1/crossborder/counterparties/:id/documents/:doc_id
Delete a document file for a crossborder counterparty. The document will be permanently removed from the system.
Request
Path Parameters
Counterparty ID.
Document ID.
Header Parameters
- If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
- 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
- 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
- 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.
The replay-protection-schema allows the user to choose between 3 options:
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
Responses
- 200
- 401
- 403
- 404
- 422
Counterparty document deleted successfully.
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
The document file was not found.
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Invalid quote currency amount. The minimum allowed is 100, and you requested 61.",
"code": "INVALID_QUOTE_CURRENCY_MIN_AMOUNT"
}